The default implementation for data persistence in offline mode. This storage adapter uses IndexedDB under the hood to store all data.

### Hierarchy

- IdbStorageAdapter

### Implements

- IStorageAdapter

## Index

### Methods

- adapterId
- destroy
- dispose
- identityStore
- initialize
- isDisposed
- isInitialized
- modelStore

## Methods

### adapterId

- adapterId(): string

- Implementation of IStorageAdapter.adapterId

  Returns the unique id of this storage adapter. Each adapter class implementation must provide a unique id.

  #### Returns string

### destroy

- destroy(): void

- Implementation of IStorageAdapter.destroy

  Removes the underlying storage behind this store, deleting all data. The storage adapter will be disposed after calling destroy.

  #### Returns void

### dispose

- dispose(): void

- Implementation of IStorageAdapter.dispose

  Disposes of this storage adapter, releasing any resources. Calls to the storage after calling dispose will likely throw errors.

  #### Returns void

### identityStore

- identityStore(): IIdentityStore

- Implementation of IStorageAdapter.identityStore

  Returns the identity store which provides storage for the Identity subsystem.

  #### Returns IIdentityStore

  The identity store.

### initialize

- initialize(namespace: string, domainId: string, username: string): Promise<void>

- Implementation of IStorageAdapter.initialize

  Initializes the offline data store. The storage will be created if it does not exists.

  #### Parameters

  - ##### namespace: string

  - ##### domainId: string

  - ##### username: string

  #### Returns Promise<void>

### isDisposed

- isDisposed(): boolean

- Implementation of IStorageAdapter.isDisposed

  Determines if the storage is disposed.

  #### Returns boolean

  true if the storage is disposed, false otherwise.

### isInitialized

- isInitialized(): boolean

- Implementation of IStorageAdapter.isInitialized

  Determines if the storage is initialized.

  #### Returns boolean

  true if the storage is initialized, false otherwise.

### modelStore

- modelStore(): IModelStore

- Implementation of IStorageAdapter.modelStore

  Returns the model store which provides storage for the Real Time Model subsystem.

  #### Returns IModelStore

  The model store.